Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.princeton.repeatedgames.rgsolve
Class RGSolve.RecursiveActionLoop

    java.lang.Object
      edu.princeton.repeatedgames.rgsolve.RGSolve.RecursiveActionLoop

All Implemented Interfaces:
  java.util.concurrent.Callable<java.util.List<GameExtremePoint>>

Enclosing class:
  RGSolve

    private class RGSolve.RecursiveActionLoop

extends java.lang.Object
implements java.util.concurrent.Callable<java.util.List<GameExtremePoint>>

Class for parallelizing the generation extreme points, by partitioning the action space.

Field Summary
`(package private) int` | `endAct` The ending action of this partition of the action space
`private double` | `maxXVal` the largest x-coordinate in the polygon `W`
`private double` | `maxYVal` the largest y-coordinate in the polygon `W`
`private double` | `minXVal` the smallest x-coordinate in the polygon `W`
`private double` | `minYVal` the smallest y-coordinate in the polygon `W`
`private RGIter` | `rg_iter` stores information on this iteration
`(package private) int` | `startAct` The starting action of this partition of the action space
`private Point` | `u` the threat point
`(package private) GameExtremePoint[]` | `W` the feasible continuation payoffs
`private int` | `xmax_n` the northernmost index of the point with the largest x-coordinate in the polygon `W`
`private int` | `xmax_s` the southernmost index of the point with the largest x-coordinate in the polygon `W`
`private int` | `xmin_n` the northernmost index of the point with the smallest x-coordinate in the polygon `W`
`private int` | `xmin_s` the southernmost index of the point with the smallest x-coordinate in the polygon `W`
`private int` | `ymax_e` the easternmost index of the point with the largest y-coordinate in the polygon `W`
`private int` | `ymax_w` the westernmost index of the point with the largest y-coordinate in the polygon `W`
`private int` | `ymin_e` the easternmost index of the point with the smallest y-coordinate in the polygon `W`
`private int` | `ymin_w` the westernmost index of the point with the smallest y-coordinate in the polygon `W`

Constructor Summary
`protected` | `RGSolve.RecursiveActionLoop(int startAct, int endAct, GameExtremePoint[] W, Point u, RGIter rg_iter, int xmin_n, int xmin_s, int ymin_e, int ymin_w, int xmax_n, int xmax_s, int ymax_e, int ymax_w, double minXVal, double maxXVal, double minYVal, double maxYVal)` A helper method within the Abreu-Sannikov (or APS) operator for calculating potential extreme points supported by actions in the range `startAct` to `endAct`.

Method Summary
`java.util.List<GameExtremePoint>` | `call()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### startAct

    int startAct

  The starting action of this partition of the action space

### endAct

    int endAct

  The ending action of this partition of the action space

### W

    GameExtremePoint[] W

  the feasible continuation payoffs

### rg_iter

    private RGIter rg_iter

  stores information on this iteration

### u

    private Point u

  the threat point

### xmin_n

    private int xmin_n

  the northernmost index of the point with the smallest x-coordinate in the polygon `W`

### xmin_s

    private int xmin_s

  the southernmost index of the point with the smallest x-coordinate in the polygon `W`

### ymin_e

    private int ymin_e

  the easternmost index of the point with the smallest y-coordinate in the polygon `W`

### ymin_w

    private int ymin_w

  the westernmost index of the point with the smallest y-coordinate in the polygon `W`

### xmax_n

    private int xmax_n

  the northernmost index of the point with the largest x-coordinate in the polygon `W`

### xmax_s

    private int xmax_s

  the southernmost index of the point with the largest x-coordinate in the polygon `W`

### ymax_e

    private int ymax_e

  the easternmost index of the point with the largest y-coordinate in the polygon `W`

### ymax_w

    private int ymax_w

  the westernmost index of the point with the largest y-coordinate in the polygon `W`

### minXVal

    private double minXVal

  the smallest x-coordinate in the polygon `W`

### maxXVal

    private double maxXVal

  the largest x-coordinate in the polygon `W`

### minYVal

    private double minYVal

  the smallest y-coordinate in the polygon `W`

### maxYVal

    private double maxYVal

  the largest y-coordinate in the polygon `W`

Constructor Detail

### RGSolve.RecursiveActionLoop

    protected RGSolve.RecursiveActionLoop(int startAct,
                                          int endAct,
                                          GameExtremePoint[] W,
                                          Point u,
                                          RGIter rg_iter,
                                          int xmin_n,
                                          int xmin_s,
                                          int ymin_e,
                                          int ymin_w,
                                          int xmax_n,
                                          int xmax_s,
                                          int ymax_e,
                                          int ymax_w,
                                          double minXVal,
                                          double maxXVal,
                                          double minYVal,
                                          double maxYVal)

  A helper method within the Abreu-Sannikov (or APS) operator for calculating potential extreme points supported by actions in the range `startAct` to `endAct`. It takes the set of feasible continuations to be `W` and uses the punishment threat point `u`

  Parameters:
    `startAct` - the starting action
    `endAct` - the ending action
    `W` - the feasible continuation set
    `u` - the current threat point
    `rg_iter` - the `RGIter` storing information on this iteration
    `xmin_n` - the northernmost index of the point with the smallest x-coordinate in the polygon `W`
    `xmin_s` - the southernmost index of the point with the smallest x-coordinate in the polygon `W`
    `ymin_e` - the easternmost index of the point with the smallest y-coordinate in the polygon `W`
    `ymin_w` - the westernmost index of the point with the smallest y-coordinate in the polygon `W`
    `xmax_n` - the northernmost index of the point with the largest x-coordinate in the polygon `W`
    `xmax_s` - the southernmost index of the point with the largest x-coordinate in the polygon `W`
    `ymax_e` - the easternmost index of the point with the largest y-coordinate in the polygon `W`
    `ymax_w` - the westernmost index of the point with the largest y-coordinate in the polygon `W`
    `minXVal` - the smallest x-coordinate in the polygon `W`
    `maxXVal` - the largest x-coordinate in the polygon `W`
    `minYVal` - the smallest y-coordinate in the polygon `W`
    `maxYVal` - the largest y-coordinate in the polygon `W`

Method Detail

### call

    public java.util.List<GameExtremePoint> call()

  Specified by:
    `call` in interface `java.util.concurrent.Callable<java.util.List<GameExtremePoint>>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD